Skip to main content

Provider package apache-airflow-providers-mysql for Apache Airflow

Project description

Package apache-airflow-providers-mysql

Release: 2.1.1

MySQL

Provider package

This is a provider package for mysql provider. All classes for this provider package are in airflow.providers.mysql python package.

You can find package information and changelog for the provider in the documentation.

Installation

You can install this package on top of an existing airflow 2.1+ installation via pip install apache-airflow-providers-mysql

The package supports the following python versions: 3.6,3.7,3.8,3.9

PIP requirements

PIP package Version required
apache-airflow >=2.1.0
mysql-connector-python >=8.0.11, <9
mysqlclient >=1.3.6,<3

Cross provider package dependencies

Those are dependencies that might be needed in order to use all the features of the package. You need to install the specified provider packages in order to use them.

You can install such cross-provider dependencies when installing from PyPI. For example:

pip install apache-airflow-providers-mysql[amazon]
Dependent package Extra
apache-airflow-providers-amazon amazon
apache-airflow-providers-presto presto
apache-airflow-providers-trino trino
apache-airflow-providers-vertica vertica

The version of MySQL server has to be 5.6.4+. The exact version upper bound depends on the version of mysqlclient package. For example, mysqlclient 1.3.12 can only be used with MySQL server 5.6.4 through 5.7.

Changelog

2.1.1

Misc

  • Optimise connection importing for Airflow 2.2.0

2.1.0

Features

  • Added template_fields_renderers for MySQL Operator (#16914)
  • Extended template_fields_renderers for MySQL provider (#16987)
  • Parse template parameters field for MySQL operator (#17080)

2.0.0

Breaking changes

  • Auto-apply apply_default decorator (#15667)

Warning

Due to apply_default decorator removal, this version of the provider requires Airflow 2.1.0+. If your Airflow version is < 2.1.0, and you want to install this provider version, first upgrade Airflow to at least version 2.1.0. Otherwise your Airflow package version will be upgraded automatically and you will have to manually run airflow upgrade db to complete the migration.

Bug Fixes

1.1.0

Features

  • Adds 'Trino' provider (with lower memory footprint for tests) (#15187)
  • A bunch of template_fields_renderers additions (#15130)

Bug fixes

  • Fix autocommit calls for mysql-connector-python (#14869)

1.0.2

Bug fixes

  • MySQL hook respects conn_name_attr (#14240)

1.0.1

Updated documentation and readme files.

1.0.0

Initial version of the provider.

Project details


Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Files for apache-airflow-providers-mysql, version 2.1.1
Filename, size File type Python version Upload date Hashes
Filename, size apache_airflow_providers_mysql-2.1.1-py3-none-any.whl (26.3 kB) File type Wheel Python version py3 Upload date Hashes View
Filename, size apache-airflow-providers-mysql-2.1.1.tar.gz (16.0 kB) File type Source Python version None Upload date Hashes View

Supported by

AWS AWS Cloud computing Datadog Datadog Monitoring Facebook / Instagram Facebook / Instagram PSF Sponsor Fastly Fastly CDN Google Google Object Storage and Download Analytics Huawei Huawei PSF Sponsor Microsoft Microsoft PSF Sponsor Pingdom Pingdom Monitoring Salesforce Salesforce PSF Sponsor Sentry Sentry Error logging StatusPage StatusPage Status page